import { Observable } from 'rxjs';
import { MonkeyEcxConfigService } from './monkeyecx-config.service';
import { MonkeyEcxConfigBoostrap } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxFeatureToggleService {
    private monkeyConfigService;
    private readonly flagSubject$;
    private flags;
    private ldClient;
    constructor(monkeyConfigService: MonkeyEcxConfigService);
    private getAllFlags;
    private identify;
    apply(configBoostrap: MonkeyEcxConfigBoostrap, environment: any): void;
    get onFlags(): Observable<any>;
    getFlag(flag: string): boolean | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxFeatureToggleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxFeatureToggleService>;
}
